Name:          snowball-java
Version:       0
Release:       %mkrel 0.6.20130908
Group:         Development/Java

Summary:       Java stemming algorithm library
License:       BSD
URL:           http://snowball.tartarus.org/index.php
Source0:       http://snowball.tartarus.org/dist/libstemmer_java.tgz
# Custom pom file
Source1:       snowball-template-pom.xml
# http://snowball.tartarus.org/license.php
Source2:       snowball-notice.txt
# see http://snowball.tartarus.org/license.php
# http://www.opensource.org/licenses/bsd-license.html
Source3:       snowball-BSD-license.txt
# Build fix remove 'break;' 
Patch0:        snowball-remove-unreachable-statement.patch

BuildRequires: maven-local
BuildArch:     noarch

%description
Snowball is a small string processing language
designed for creating stemming algorithms
for use in Information Retrieval.

This package contains all you need to include the
snowball stemming algorithms into a Java
project of your own. If you use this,
you don't need to use the snowball compiler,
or worry about the internals of the
stemmers in any way.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n libstemmer_java

%patch0 -p0

cp -p %{SOURCE1} pom.xml
sed -i "s|@VERSION@|%{version}|" pom.xml

cp -p %{SOURCE2} notice.txt
cp -p %{SOURCE3} license.txt
sed -i 's/\r//' license.txt notice.txt

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license license.txt notice.txt

%files javadoc -f .mfiles-javadoc
%license license.txt notice.txt



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0-0.6.20130908.mga9
+ Revision: 1827340
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0-0.6.20130907.mga8
+ Revision: 1500139
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0-0.6.20130906.mga7
+ Revision: 1275446
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Mar 02 2016 neoclust <neoclust> 0-0.6.20130904.mga6
+ Revision: 981764
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0-0.6.20130903.mga6
+ Revision: 978186
- First rebuild of the java stack
- sync package snowball-java with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 dmorgan <dmorgan> 0-0.3.20130902.1.mga5
+ Revision: 805980
- imported package snowball-java

